import { jsx as i } from "@emotion/react/jsx-runtime";
import { getPropertyByString as f } from "@m4l/core";
import p from "react";
import { DateFormatter as u } from "../../../formatters/DateFormatter/DateFormatter.js";
function g(r) {
  const { fieldValue: o, presentationType: n, Component: a = p.Fragment } = r;
  return (m) => {
    const e = f(
      m.row,
      o
    );
    let t;
    return typeof e == "string" || typeof e == "number" || e instanceof Date ? t = e : t = "", /* @__PURE__ */ i(
      u,
      {
        presentationType: n,
        value: t,
        Component: a
      }
    );
  };
}
export {
  g as ColumnDateFormatter
};
